Bug 30761 - Fix/upgrade port: audio/ripit [MAINTAINER]
Summary: Fix/upgrade port: audio/ripit [MAINTAINER]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-09-23 15:00 UTC by Oyvind Moll
Modified: 2001-10-07 17:58 UTC (History)
0 users

See Also:


Attachments
file.diff (14.60 KB, patch)
2001-09-23 15:00 UTC, Oyvind Moll
no flags Details | Diff
ripit.diff (17.35 KB, patch)
2001-10-04 12:39 UTC, Oyvind Moll
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oyvind Moll 2001-09-23 15:00:00 UTC
Currently audio/ripit is broken when used with an audio/xmcd port
installation newer than about a month, because of changed output
from the cda command from that port.

The included diff fixes this problem by upgrading from ripit 1.8
to 2.0, which does away with the xmcd dependency, using the
CDDB_get.pm Perl module instead

This diff depends on having the port of CDDB_get.pm (see PR 30760)
committed as audio/p5-CDDB_get.  If PR 30760 gets committed with
a different port name, please change the RUN_DEPENDS in
audio/ripit/Makefile accordingly.
Comment 1 Jun Kuriyama 2001-10-02 01:33:25 UTC
It seems submitted version depends on lame to retrieve genre list.
Should this port depends on lame although users can choose another
encoder?

# And latest lame port seems not to have --genre-list option...


-- 
Jun Kuriyama <kuriyama@imgsrc.co.jp> // IMG SRC, Inc.
             <kuriyama@FreeBSD.org> // FreeBSD Project
Comment 2 Oyvind Moll 2001-10-04 12:39:40 UTC
On Tue, Oct 02, 2001 at 09:33:25AM +0900, Jun Kuriyama wrote:
| 
| It seems submitted version depends on lame to retrieve genre list.
| Should this port depends on lame although users can choose another
| encoder?
| 
| # And latest lame port seems not to have --genre-list option...

Attached is a revised patch which fixes (or avoids, rather) this problem.

It also tries to fix a problem occuring when using cdda2wav and a SCSI
CD-ROM device, but this has not been tested.  It's certainly not worse than
before.

The attached patch works for me.

-- 
   Øyvind Møll
   oyvindmo@initio.no
Comment 3 Mario Sergio Fujikawa Ferreira freebsd_committer 2001-10-07 17:58:29 UTC
State Changed
From-To: open->closed

Committed, thanks!